# wxGridCornerHeaderRenderer Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCornerHeaderRenderer:
[legend]

## Detailed Description

Base class for corner window renderer.

This is the simplest of all header renderers and only has a single function.

See also:
  wxGridCellAttrProvider::GetCornerRenderer()

Since:
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the corner window border.

List of all members.

## Member Function Documentation

virtual void wxGridCornerHeaderRenderer::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect |
| ) |  |  | const`[pure virtual]`

Called by the grid to draw the corner window border.

This method is responsible for drawing the border inside the given rect and adjusting the rectangle size to correspond to the area inside the border, i.e. usually call wxRect::Deflate() to account for the border width.

Parameters:

  | grid | The grid whose corner window is being drawn.
  | dc | The device context to use for drawing.
  | rect | Input/output parameter which contains the border rectangle on input and should be updated to contain the area inside the border on function return.

Implemented in wxGridRowHeaderRendererDefault, wxGridColumnHeaderRendererDefault, and wxGridCornerHeaderRendererDefault.

|  | [ top ]